FreeBSD : YUI JavaScript library -- JavaScript injection exploits in Flash components (d560b346-08a2-11e0-bcca-0050568452ac)

Medium Nessus Plugin ID 51194


The remote FreeBSD host is missing a security-related update.


The YUI team reports :

A security-related defect was introduced in the YUI 2 Flash component infrastructure beginning with the YUI 2.4.0 release. This defect allows JavaScript injection exploits to be created against domains that host affected YUI .swf files.


Update the affected package.

See Also

Plugin Details

Severity: Medium

ID: 51194

File Name: freebsd_pkg_d560b34608a211e0bcca0050568452ac.nasl

Version: $Revision: 1.5 $

Type: local

Published: 2010/12/16

Modified: 2013/06/22

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 4.3

Vector: CVSS2#AV:N/AC:M/Au:N/C:N/I:P/A:N

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:yahoo-ui, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Patch Publication Date: 2010/12/15

Vulnerability Publication Date: 2010/10/25

Reference Information

CVE: CVE-2010-4207, CVE-2010-4208, CVE-2010-4209

Secunia: 41955